package org.ts.ddcs.job;


import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.stereotype.Component;
import org.ts.ddcs.log.LogHelper;
import org.ts.ddcs.process.DataProcessHolder;

import java.util.Date;


/**
 * 报表统计定时任务
 *
 * @author dylan
 */
@Component
public class SimulatorServerJobHandler {

    @XxlJob("SimulatorJobHandler")
    public void simulatorJobHandler() throws Exception {
        try {
            LogHelper.info("*********** simulator task:" + new Date().toString());
            DataProcessHolder.newInstance().dataProcess.submitSimulatorTask();
        } catch (Exception e) {
            LogHelper.error(e);
        }
    }
}
